package com.javaseleniumtemplate.flows;
import com.javaseleniumtemplate.pages.AjusteInventarioPage;


public class AjusteInventarioFlows {

    AjusteInventarioPage ajusteInventarioPage;
    public AjusteInventarioFlows(){
        ajusteInventarioPage = new AjusteInventarioPage();
    }

    public void aplicarFiltro(String descUnidade,String descOperador){

        ajusteInventarioPage.limparTela();
        ajusteInventarioPage.clicarIconeUnidade();
        ajusteInventarioPage.campoBusca();
        ajusteInventarioPage.buscarUnidade(descUnidade);
        ajusteInventarioPage.selecionarUnidadeInventario();
        ajusteInventarioPage.clicarCampoData();
        ajusteInventarioPage.selecionarPeriodo();
        ajusteInventarioPage.confimrarDataEscolhida();
        ajusteInventarioPage.clicarCampoOperador();
        ajusteInventarioPage.campoBusca();
        ajusteInventarioPage.buscarOperador(descOperador);
        ajusteInventarioPage.codigoOperador();
        ajusteInventarioPage.clicarAplicarFiltro();

    }
    public void adicionarAjusteIventario(String quantidade,String cmpDesc, String descProduto,String descAlmoxarifado,String descLote){

        ajusteInventarioPage.clicarAdicionar();
        ajusteInventarioPage.clicarAlertCaixaTextoAjusteInventario();
        ajusteInventarioPage.limparData();
        ajusteInventarioPage.clicarCampoCalendario();
        ajusteInventarioPage.selecionarDataEscolhida();
        ajusteInventarioPage.campoDescricao(cmpDesc);
        ajusteInventarioPage.clicarBotaoSalvar();
        ajusteInventarioPage.clicarAbaProduto();
        ajusteInventarioPage.clicarCampoProduto();
        ajusteInventarioPage.campoBusca();
        ajusteInventarioPage.buscarProduto(descProduto);
        ajusteInventarioPage.selecionarProduto();
        ajusteInventarioPage.limparCampoAlmoxarifado();
        ajusteInventarioPage.clicarIconeAlmoxarifado();
        ajusteInventarioPage.campoBusca();
        ajusteInventarioPage.buscarAmoxarifado(descAlmoxarifado);
        ajusteInventarioPage.selecionarAlmoxarifado();
        ajusteInventarioPage.clicarBotaoLote();
        ajusteInventarioPage.campoBusca();
        ajusteInventarioPage.pesquisarLote(descLote);
        ajusteInventarioPage.selecionarLote();
        ajusteInventarioPage.clicarConfirmar();
        ajusteInventarioPage.clicarCampoQuantidade();
        ajusteInventarioPage.inserirQuantidade(quantidade);
        ajusteInventarioPage.clicarSalvar();
        ajusteInventarioPage.confirmarEstoque();
        ajusteInventarioPage.clicarAtualizarEstoque();
        ajusteInventarioPage.gravarAjusteInventario();
        ajusteInventarioPage.estoqueAtualizadoComSucesso();
        ajusteInventarioPage.capturarValorBanco();
    }
    public void editarAjusteIventario(String cmpDesc2,String quantidade2,String descProduto2,String descAlmoxarifado,String descLote2){

        ajusteInventarioPage.localizarAjusteInventarioCriado();
        ajusteInventarioPage.clicarBotaoEditar();
        ajusteInventarioPage.clicarCampoDescricaoELimpar();
        ajusteInventarioPage.inserirNovaDescricao(cmpDesc2);
        ajusteInventarioPage.clicarSalvar();
        ajusteInventarioPage.clicarAbaProdutoEdicao();
        ajusteInventarioPage.adicionarOutroProduto();
        ajusteInventarioPage.clicarLupa();
        ajusteInventarioPage.campoBusca();
        ajusteInventarioPage.buscarNovoProduto(descProduto2);
        ajusteInventarioPage.selecionarProdutoAdicionado();
        ajusteInventarioPage.limparCampoAlmoxarifado();
        ajusteInventarioPage.clicarIconeAlmoxarifado();
        ajusteInventarioPage.campoBusca();
        ajusteInventarioPage.buscarProdutoAlmoxarifado(descAlmoxarifado);
        ajusteInventarioPage.selecionarAlmoxarifadoEdicao();
        ajusteInventarioPage.clicarCampoLote();
        ajusteInventarioPage.selecionarLoteExistente();
        ajusteInventarioPage.clicarBotaoLupaLote();
        ajusteInventarioPage.campoBusca();
        ajusteInventarioPage.buscarSegundoLote(descLote2);
        ajusteInventarioPage.clicarConfirmar();
        ajusteInventarioPage.clicarCampoQuantidade();
        ajusteInventarioPage.quantidadeNovoProduto(quantidade2);
        ajusteInventarioPage.clicarSalvar();
        ajusteInventarioPage.confirmarEstoque();
        ajusteInventarioPage.clicarAtualizarEstoque();
        ajusteInventarioPage.gravarAjusteInventario();
        ajusteInventarioPage.estoqueAtualizadoComSucesso();

    }

    public void excluirAjusteIventario(){
        ajusteInventarioPage.localizarAjusteParaDeletar();
        ajusteInventarioPage.clicarExcluir();
        ajusteInventarioPage.mensagemAlerta();
        ajusteInventarioPage.alertaAposExluir();
    }
    public void importarAjusteInventario(){
        ajusteInventarioPage.clicarBotaoImportar();
        ajusteInventarioPage.escolherArquivo();
    }

}
